/* Tipografia */
body {
  font-family: var(--font-family-noto-sans);
  font-size: var(--font-size-default);
  font-weight: var(--font-weight-regular);
  line-height: var(--line-height-medium);
  margin: 0;
}

/* Headings */
h1,
.h1 {
  font-size: var(--font-size-up-08);
  font-weight: var(--font-weight-bold);
  line-height: var(--line-height-low);
  margin: 0 0 var(--spacing-layout-02);
  padding: 0 0 var(--spacing-layout-02);
}

h2,
.h2 {
  font-size: var(--font-size-up-07);
  font-weight: var(--font-weight-semi-bold);
  line-height: var(--line-height-low);
  margin: 0 0 var(--spacing-layout-02);
  padding: 0 0 var(--spacing-layout-02);
}

h3,
.h3 {
  font-size: var(--font-size-up-06);
  font-weight: var(--font-weight-medium);
  line-height: var(--line-height-low);
  margin: 0;
  padding: 0 0 var(--spacing-layout-02);
}

h4,
.h4 {
  font-size: var(--font-size-up-05);
  font-weight: var(--font-weight-regular);
  line-height: var(--line-height-low);
  margin: 0;
  padding: 0 0 var(--spacing-layout-02);
}

h5,
.h5 {
  font-size: var(--font-size-up-04);
  font-weight: var(--font-weight-light);
  line-height: var(--line-height-low);
  margin: 0;
  padding: 0 0 var(--spacing-layout-02);
}

h6,
.h6 {
  font-size: var(--font-size-up-03);
  font-weight: var(--font-weight-extra-light);
  line-height: var(--line-height-low);
  margin: 0;
  padding: 0 0 var(--spacing-layout-02);
}

/* Textos */
p {
  margin: 0;
  padding: 0 0 var(--spacing-layout-02);
}

.label {
  display: block;
  font-size: var(--font-size-down-01);
  font-weight: var(--font-weight-semi-bold);
}

legend,
.legend {
  font-size: var(--font-size-up-01);
  font-weight: var(--font-weight-semi-bold);
  line-height: var(--line-height-medium);
  margin: 0;
}

.mono {
  font-family: var(--font-family-noto-mono);
}

.serif {
  font-family: var(--font-family-noto-serif);
}

/* Códigos */
code,
.code {
  background: var(--theme-surface-main-alt);
  border: 1px solid var(--theme-border-base);
  border-radius: var(--rounder-01);
  font-family: var(--font-family-noto-mono);
}

pre {
  background: var(--theme-surface-main-alt);
  overflow: auto;
  padding: var(--spacing-layout-02);
}

pre code {
  background: transparent;
  border: 0;
  border-radius: 0;
  padding: 0;
}

/* Formulários */
button {
  background: transparent;
  cursor: pointer;
}
